Skip to Content
inclamoDocs

Update Custom Attributes

POST
/api/v1/accounts/{account_id}/conversations/{conversation_id}/custom_attributes

Updates the custom attributes of a conversation

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Request Body

application/json
  1. body
custom_attributes*

The custom attributes to be set for the conversation

merge?boolean

When true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys.

Defaultfalse

Response Body

Success

application/json
  1. response
custom_attributes?

The custom attributes of the conversation

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/custom_attributes' \  -H 'Content-Type: application/json' \  -d '{  "custom_attributes": {}}'
Example Response
{  "custom_attributes": {}}